Bug 252444 - security/p5-Crypt-LibSCEP, security/libscep: switch from GCC to default compiler
Summary: security/p5-Crypt-LibSCEP, security/libscep: switch from GCC to default compiler
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL: https://github.com/openxpki/libscep
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-05 19:39 UTC by Sergei Vyshenski
Modified: 2021-02-19 10:18 UTC (History)
1 user (show)

See Also:


Attachments
patch to update two ports (850 bytes, patch)
2021-01-05 19:39 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (1.12 KB, patch)
2021-01-05 19:50 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (1.13 KB, patch)
2021-01-21 22:58 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (1.77 KB, patch)
2021-01-24 17:42 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-01-05 19:39:50 UTC
Created attachment 221303 [details]
patch to update two ports

Fix two ports sharing the same distribution of libscep-0.08,
to compile with any compiler (clang or GCC) 
instead of obligatory GCC.

- "portlint -AC" gives non-relevant warnings.
- Tested with:
12.2-RELEASE-p2
pkg 1.16.1
poudriere 3.3.6
perl 5.32.0
openssl 1.1.1h
ssl=base
- built-in tests in a clean poudriere jail say: PASS.
Comment 1 Sergei Vyshenski 2021-01-05 19:50:25 UTC
Created attachment 221305 [details]
patch to update two ports
Comment 2 Sergei Vyshenski 2021-01-21 22:58:47 UTC
Created attachment 221797 [details]
patch to update two ports

Fix two ports sharing the same distribution of libscep-0.08,
to compile with any compiler (clang or GCC) 
instead of obligatory GCC.

- "portlint -AC" gives non-relevant warnings.
- Tested with:
12.2-RELEASE-p2
pkg 1.16.2
poudriere 3.3.6
perl 5.32.0
openssl 1.1.1h
ssl=base
- built-in tests in a clean poudriere jail say: PASS.
Comment 3 Sergei Vyshenski 2021-01-24 17:42:22 UTC
Created attachment 221886 [details]
patch to update two ports

Additionally reorder and rename variables in Makefile of both ports, 
to help portclippy be happy.
Comment 4 commit-hook freebsd_committer 2021-02-18 22:43:47 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Feb 18 22:43:14 UTC 2021
New revision: 566005
URL: https://svnweb.freebsd.org/changeset/ports/566005

Log:
  security/libscep: allow build with clang, pet portlint

  PR:		252444
  Submitted by:	svysh.fbsd@gmail.com (maintainer)

Changes:
  head/security/libscep/Makefile
Comment 5 commit-hook freebsd_committer 2021-02-18 22:44:48 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Feb 18 22:43:51 UTC 2021
New revision: 566006
URL: https://svnweb.freebsd.org/changeset/ports/566006

Log:
  security/p5-Crypt-LibSCEP: allow build with clang, pet portlint

  PR:		252444
  Submitted by:	svysh.fbsd@gmail.com (maintainer)

Changes:
  head/security/p5-Crypt-LibSCEP/Makefile
Comment 6 Dmitry Marakasov freebsd_committer 2021-02-18 22:46:56 UTC
Committed with minor change, USES=localbase instead of CFLAGS (btw, you should've used LOCALBASE instead of PREFIX there; LOCALBASE to refer to paths belonging to other ports, PREFIX to refer to paths belonging to current port)
Comment 7 Sergei Vyshenski 2021-02-19 10:18:47 UTC
(In reply to Dmitry Marakasov from comment #6)

Thanks a lot!